/**
 * Freqtrade API
 * No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)
 *
 * The version of the OpenAPI document: 2021.12-dev21
 * 
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 *
 */

import ApiClient from '../ApiClient';

/**
 * The BlacklistResponse model module.
 * @module model/BlacklistResponse
 * @version 2021.12-dev21
 */
class BlacklistResponse {
    /**
     * Constructs a new <code>BlacklistResponse</code>.
     * @alias module:model/BlacklistResponse
     * @param blacklist {Array.<String>} 
     * @param blacklistExpanded {Array.<String>} 
     * @param errors {Object} 
     * @param length {Number} 
     * @param method {Array.<String>} 
     */
    constructor(blacklist, blacklistExpanded, errors, length, method) { 
        
        BlacklistResponse.initialize(this, blacklist, blacklistExpanded, errors, length, method);
    }

    /**
     * Initializes the fields of this object.
     * This method is used by the constructors of any subclasses, in order to implement multiple inheritance (mix-ins).
     * Only for internal use.
     */
    static initialize(obj, blacklist, blacklistExpanded, errors, length, method) { 
        obj['blacklist'] = blacklist;
        obj['blacklist_expanded'] = blacklistExpanded;
        obj['errors'] = errors;
        obj['length'] = length;
        obj['method'] = method;
    }

    /**
     * Constructs a <code>BlacklistResponse</code> from a plain JavaScript object, optionally creating a new instance.
     * Copies all relevant properties from <code>data</code> to <code>obj</code> if supplied or a new instance if not.
     * @param {Object} data The plain JavaScript object bearing properties of interest.
     * @param {module:model/BlacklistResponse} obj Optional instance to populate.
     * @return {module:model/BlacklistResponse} The populated <code>BlacklistResponse</code> instance.
     */
    static constructFromObject(data, obj) {
        if (data) {
            obj = obj || new BlacklistResponse();

            if (data.hasOwnProperty('blacklist')) {
                obj['blacklist'] = ApiClient.convertToType(data['blacklist'], ['String']);
            }
            if (data.hasOwnProperty('blacklist_expanded')) {
                obj['blacklist_expanded'] = ApiClient.convertToType(data['blacklist_expanded'], ['String']);
            }
            if (data.hasOwnProperty('errors')) {
                obj['errors'] = ApiClient.convertToType(data['errors'], Object);
            }
            if (data.hasOwnProperty('length')) {
                obj['length'] = ApiClient.convertToType(data['length'], 'Number');
            }
            if (data.hasOwnProperty('method')) {
                obj['method'] = ApiClient.convertToType(data['method'], ['String']);
            }
        }
        return obj;
    }


}

/**
 * @member {Array.<String>} blacklist
 */
BlacklistResponse.prototype['blacklist'] = undefined;

/**
 * @member {Array.<String>} blacklist_expanded
 */
BlacklistResponse.prototype['blacklist_expanded'] = undefined;

/**
 * @member {Object} errors
 */
BlacklistResponse.prototype['errors'] = undefined;

/**
 * @member {Number} length
 */
BlacklistResponse.prototype['length'] = undefined;

/**
 * @member {Array.<String>} method
 */
BlacklistResponse.prototype['method'] = undefined;






export default BlacklistResponse;

